public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/wxmaxima/
Date: Sat, 29 Aug 2015 13:52:42 +0000 (UTC)	[thread overview]
Message-ID: <1440856074.398a127a027862aa1b53e1d57be527ab713bbcf1.grozin@gentoo> (raw)

commit:     398a127a027862aa1b53e1d57be527ab713bbcf1
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 29 13:47:54 2015 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sat Aug 29 13:47:54 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=398a127a

sci-mathematics/wxmaxima: version bump to 15.08.0

Package-Manager: portage-2.2.20.1

 sci-mathematics/wxmaxima/Manifest                |  2 +
 sci-mathematics/wxmaxima/wxmaxima-15.08.0.ebuild | 77 ++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/sci-mathematics/wxmaxima/Manifest b/sci-mathematics/wxmaxima/Manifest
index 87c8ce2..c48162b 100644
--- a/sci-mathematics/wxmaxima/Manifest
+++ b/sci-mathematics/wxmaxima/Manifest
@@ -1,2 +1,4 @@
 DIST wxMaxima-13.04.2.tar.gz 1652680 SHA256 29352db75dd3ff27393ab0971543fd0b3c3a9c330c2c8d07ebfd373741ded4eb SHA512 36d035282aca8d40d9f5950c21e8e3abe8d3a76ffbb91f6436a3588e252ca2455c4c1c4e5eed4111888f917406ac758f551198ca97acb67bcc6655e579db20aa WHIRLPOOL 7579a5d7b72e0c10f9162b92da03b2f4f51052cf8800fc0c01312718cfc31c0d8ff608aff6f873e07b46247a2c2ad7dc666e0e469dda1f1a8e8af52629a6e69d
 DIST wxmaxima-15.04.0.tar.gz 4990313 SHA256 c178067a2f75d91dd378f88b4d0f87af6b2705ca32bea509d63e7347b2a1d21e SHA512 1a899259698da38f97a1859ba0526406cbc654a130dc1d18e01cf248ac4d7292c82cb00dd92ce2fac2c3cfc002788fdef0a6a4f95eca54b9096efc73c6aa45b7 WHIRLPOOL 225456c073b1aa87d2e599b9c63244ff7c97378fb6b5a60fcb8730655d193a0f032b27a1264e12eefb4abf08389f2337a11c380b6d89af2de9a4fb6e14f614dc
+DIST wxmaxima-15.08.0-missing.tar.bz2 16172 SHA256 d39d1a7937db05a4ae3e6a6d38a4079e93fb95b5533db7254de7dec7d24527db SHA512 195de1bcc4b469094716e0e417cf6431abe9f67e467c71fe51c4bed9990c613d5487cbcdda18d1df7f50e5e1b0abec7578e1091cc4999d95ba6a5f8849d826e2 WHIRLPOOL 34964f7ba5a1c9e5f2ab05b857c31b441eee43a127dc123337174509c71b7f80313e111b967abba47579021c52f27c71812c85efdf7a8429ad4e1e6c51f62db8
+DIST wxmaxima-15.08.0.tar.gz 5555560 SHA256 e6905b8e306b575e8e38b02a0e81de38be6d154d1349a455e01fbec28b21b27c SHA512 b13df571978c354ef420c613717149e3235bd5343746c12f2193eb0599f417b04cdb01e87e97ef2ed72bfd090b6ec6871c834fdb74074a3d5fb0f68bbe942263 WHIRLPOOL a2a1ae200eebb6d54a3c96cbd1c304b37c4a759ccc15983b3910d3aad1864d6c80d39e7e688198d4f3dd7c36bb9a8b2795a9610475858207b90482887219906a

diff --git a/sci-mathematics/wxmaxima/wxmaxima-15.08.0.ebuild b/sci-mathematics/wxmaxima/wxmaxima-15.08.0.ebuild
new file mode 100644
index 0000000..cdbdbcd
--- /dev/null
+++ b/sci-mathematics/wxmaxima/wxmaxima-15.08.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+WX_GTK_VER="3.0"
+
+inherit eutils gnome2-utils wxwidgets fdo-mime
+
+DESCRIPTION="Graphical frontend to Maxima, using the wxWidgets toolkit"
+HOMEPAGE="http://andrejv.github.io/wxmaxima/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
+	https://dev.gentoo.org/~grozin/${P}-missing.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="
+	dev-libs/libxml2:2
+	x11-libs/wxGTK:${WX_GTK_VER}"
+RDEPEND="${DEPEND}
+	media-fonts/jsmath
+	sci-visualization/gnuplot[wxwidgets]
+	sci-mathematics/maxima"
+
+src_prepare() {
+	local i
+
+	# consistent package names
+	sed -e "s:\${datadir}/wxMaxima:\${datadir}/${PN}:g" \
+		-i Makefile.in data/Makefile.in test/Makefile.in || die "sed failed"
+
+	sed -e 's:share/wxMaxima:share/wxmaxima:g' \
+		-i src/wxMaxima.cpp src/wxMaximaFrame.cpp src/Dirstructure.cpp src/Dirstructure.h \
+		|| die "sed failed"
+
+	# correct gettext behavior
+	if [[ -n "${LINGUAS+x}" ]] ; then
+		for i in $(cd "${S}"/locales ; echo *.mo) ; do
+			if ! has ${i%.mo} ${LINGUAS} ; then
+				sed -i \
+					-e "/^WXMAXIMA_LINGUAS/s# ${i%.mo}##" \
+					-e "/^WXWIN_LINGUAS/s# ${i%.mo}##" \
+					locales/Makefile.in || die
+			fi
+		done
+	fi
+}
+
+src_configure() {
+	econf \
+		--enable-printing \
+		--with-wx-config=${WX_CONFIG}
+}
+
+src_install () {
+	default
+	doicon -s 128 data/wxmaxima.png
+	make_desktop_entry wxmaxima wxMaxima wxmaxima
+	dosym /usr/share/${PN}/README /usr/share/doc/${PF}/README
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	fdo-mime_desktop_database_update
+}


             reply	other threads:[~2015-08-29 13:52 UTC|newest]

Thread overview: 102+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-29 13:52 Andrey Grozin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-09-03 18:14 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/wxmaxima/ Andrey Grozin
2015-09-04  6:57 Andrey Grozin
2015-09-13 12:17 Andrey Grozin
2015-09-13 12:19 Andrey Grozin
2015-11-09 10:31 Agostino Sarubbo
2015-11-11  9:12 Agostino Sarubbo
2015-11-12  9:40 Agostino Sarubbo
2016-04-03 18:28 Andrey Grozin
2016-04-08 19:36 Andrey Grozin
2016-04-08 19:39 Andrey Grozin
2016-08-01 14:28 Andrey Grozin
2016-11-27 13:14 Pacho Ramos
2016-12-12  3:31 Andrey Grozin
2017-01-25 15:02 Andrey Grozin
2017-01-26  9:40 Andrey Grozin
2018-03-13 21:48 Andrey Grozin
2018-09-26  9:26 Andrey Grozin
2018-09-26  9:28 Andrey Grozin
2018-10-22 16:37 Andrey Grozin
2018-11-26 12:46 Andrey Grozin
2019-02-26  8:37 Andrey Grozin
2019-02-26  8:39 Andrey Grozin
2019-03-12 18:42 Andrey Grozin
2019-03-15 15:35 Andrey Grozin
2019-03-15 22:52 Mikle Kolyada
2019-04-01 17:21 Thomas Deutschmann
2019-06-01 11:28 Andrey Grozin
2019-08-18 15:37 Andrey Grozin
2019-08-18 15:39 Andrey Grozin
2019-09-14 11:21 Andrey Grozin
2019-11-03 13:22 Andrey Grozin
2019-11-15 10:46 Andrey Grozin
2019-12-07 12:22 Andrey Grozin
2019-12-25 17:03 Andrey Grozin
2020-01-05 15:57 Andrey Grozin
2020-01-30 15:46 Andrey Grozin
2020-02-28 16:35 Andrey Grozin
2020-05-17 12:22 Andrey Grozin
2020-06-22 14:48 Andrey Grozin
2020-08-11  7:16 Andrey Grozin
2020-08-11  7:18 Andrey Grozin
2020-10-06 16:51 Andrey Grozin
2021-01-17 14:52 Andrey Grozin
2021-01-20 10:16 David Seifert
2021-02-08  6:18 Andrey Grozin
2021-04-25  9:39 David Seifert
2021-04-25 10:00 Sam James
2021-04-25 10:00 Sam James
2021-04-25 10:00 Sam James
2021-04-25 10:45 Sam James
2021-04-25 12:44 Sam James
2021-04-25 12:46 David Seifert
2021-04-25 17:35 Sam James
2021-05-18  6:52 Andrey Grozin
2021-05-25 12:27 Andrey Grozin
2021-07-04 14:03 Ulrich Müller
2021-11-29  5:20 Andrey Grozin
2021-11-29  5:23 Andrey Grozin
2022-04-13  8:50 Andrey Grozin
2022-04-13  8:51 Andrey Grozin
2022-07-13 15:46 Andrey Grozin
2022-09-27  8:45 Andrey Grozin
2022-09-27  8:46 Andrey Grozin
2023-01-04  5:40 Andrey Grozin
2023-02-16 13:20 Andrey Grozin
2023-02-16 13:22 Andrey Grozin
2023-04-25 10:02 Andrey Grozin
2023-05-14 11:28 Andrey Grozin
2023-05-14 11:30 Andrey Grozin
2023-05-19 11:12 Andrey Grozin
2023-05-25  8:34 Andrey Grozin
2023-05-29 15:00 Andrey Grozin
2023-05-29 15:03 Andrey Grozin
2023-05-30 19:41 Arthur Zamarin
2023-05-31  8:26 Arthur Zamarin
2023-05-31 10:46 Andrey Grozin
2023-08-12  5:18 Andrey Grozin
2023-08-29 11:30 Andrey Grozin
2023-08-29 12:41 Andrey Grozin
2023-10-12 13:40 Andrey Grozin
2023-11-24 14:31 Pacho Ramos
2023-12-15  5:42 Andrey Grozin
2023-12-15  5:45 Andrey Grozin
2023-12-26 11:45 Andrey Grozin
2023-12-26 11:47 Andrey Grozin
2024-02-09 13:29 Andrey Grozin
2024-02-14 14:40 Andrey Grozin
2024-02-14 14:41 Andrey Grozin
2024-03-13  4:59 Andrey Grozin
2024-03-13  5:00 Andrey Grozin
2024-03-14 19:19 Sam James
2024-03-15 11:47 Andrey Grozin
2024-05-30 14:04 Andrey Grozin
2024-05-30 14:06 Andrey Grozin
2024-05-30 14:13 Andrey Grozin
2024-07-03  5:48 Andrey Grozin
2024-11-02  8:16 Andrey Grozin
2024-11-02  8:18 Andrey Grozin
2024-12-30 13:38 Andrey Grozin
2025-01-30  5:51 Andrey Grozin
2025-01-30  5:53 Andrey Grozin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1440856074.398a127a027862aa1b53e1d57be527ab713bbcf1.grozin@gentoo \
    --to=grozin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox